
QGIS Application - Bug report #19204

Crash Rotating Point

2018-06-15 07:59 PM - Mike J

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.0.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 27033

Description

Crash ID: c5876a04763b7f5ed8a19146fb1ee8b52f4667ba

Stack Trace

QGraphicsItem::pos :

QgsMapToolRotateFeature::canvasReleaseEvent :

QgsMapCanvas::mouseReleaseEvent :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

NotifyWinEvent :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.3-Girona

QGIS code revision: 8a899c8758

Compiled against Qt: 5.9.2
Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.3.9600

History

#1 - 2018-07-20 08:59 AM - Nyall Dawson

- Status changed from Open to Feedback

I can't reproduce. Can you provide additional details?

#2 - 2018-08-15 11:57 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.

2025-04-27 2/2


